Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface TS1

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QTY

All Known Subinterfaces:
  EIVLPPDTS, EIVLTS, IVLPPDTS, IVLTS, IVXBPPDTS, IVXBTS, PIVLPPDTS, PIVLTS, PPDTS, SXCMPPDTS, SXCMTS, SXPRTS, UVPTS

All Known Implementing Classes:
  EIVLPPDTSImpl, EIVLTSImpl, IVLPPDTSImpl, IVLTSImpl, IVXBPPDTSImpl, IVXBTSImpl, PIVLPPDTSImpl, PIVLTSImpl, PPDTSImpl, SXCMPPDTSImpl, SXCMTSImpl, SXPRTSImpl, TS1Impl, UVPTSImpl

    public interface TS1

extends QTY

A representation of the model object 'TS1'. A quantity specifying a point on the axis of natural time. A point in time is most often represented as a calendar expression.

The following features are supported:

- `Value`

See Also:
  `CDAR2Package.getTS1()`

Method Summary
`java.lang.String` | `getValue()` Returns the value of the 'Value' attribute.
`void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `CDAR2Package.getTS1_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD